Bug 114391 - No 'ccm upgrade' command for run data model upgrades and Java upgrade code on an app
No 'ccm upgrade' command for run data model upgrades and Java upgrade code on...
Product: Red Hat Web Application Framework
Classification: Retired
Component: installation (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Justin Ross
Jon Orris
Depends On:
Blocks: 113496
  Show dependency treegraph
Reported: 2004-01-27 11:15 EST by Daniel Berrange
Modified: 2007-04-18 13:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-06 11:13:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Daniel Berrange 2004-01-27 11:15:07 EST
Description of problem:
As previously documented in the application packaging guide, upgrading
an application from one version to the next consists of running the
data model upgrade (cf data model load) scripts and then running a
java upgrade script (cd Loader scripts). For this a 'ccm upgrade'
command is needed.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
NB, since we are effectively launching two pilot sites on RC0 in early
februrary this upgrade capability is going to be required RSN.
Comment 1 Richard Li 2004-02-16 11:31:25 EST
Karsten: justin will be shipping you docs for this feature as soon as
he's done implementing it.
Comment 2 Richard Li 2004-02-16 11:51:10 EST
also as part of this ticket we need to document how java code is
upgraded and convert scott's publishing upgrade initializer to follow
Comment 3 Richard Li 2004-02-17 14:59:39 EST
This was done in 40431, 40435, 40443, and 40448.

Note You need to log in before you can comment on or make changes to this bug.